# Class: Quadratic

## Phaser.Easing. Quadratic

#### new Quadratic()

  Quadratic easing.

  Source:
    - tween/Easing.js, line 38

### Methods

#### In(k) → {number}

  Ease-in.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 45

  ##### Returns:

  k^2.

  Type
    number

#### InOut(k) → {number}

  Ease-in/out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 71

  ##### Returns:

  The tweened value.

  Type
    number

#### Out(k) → {number}

  Ease-out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 58

  ##### Returns:

  k* (2-k).

  Type
    number